<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/graphs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle"><div class="title">graphs.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&quot;</code><br />
<code>#include &lt;QWidget&gt;</code><br />
<code>#include &lt;QtCharts/QChart&gt;</code><br />
<code>#include &lt;QtCharts/QChartView&gt;</code><br />
<code>#include &lt;QtCharts/QLineSeries&gt;</code><br />
<code>#include &lt;QtCharts/QScatterSeries&gt;</code><br />
<code>#include &lt;QtCharts/QValueAxis&gt;</code><br />
<code>#include &lt;QPropertyAnimation&gt;</code><br />
<code>#include &lt;QGraphicsView&gt;</code><br />
<code>#include &lt;QGraphicsScene&gt;</code><br />
<code>#include &lt;QString&gt;</code><br />
<code>#include &lt;QtCharts/QBarSeries&gt;</code><br />
<code>#include &lt;QtCharts/QBarSet&gt;</code><br />
<code>#include &lt;QtCharts/QBarCategoryAxis&gt;</code><br />
<code>#include &lt;QtCharts/QHorizontalStackedBarSeries&gt;</code><br />
<code>#include &lt;QVector&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for graphs.h:</div>
<div class="dyncontent">
<div class="center"><img src="graphs_8h__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2graphs_8h" alt=""/></div>
<map name="aalat_za_analitiku_2src_2graphs_8h" id="aalat_za_analitiku_2src_2graphs_8h">
<area shape="rect" title=" " alt="" coords="961,5,1089,48"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="105,104,195,131"/>
<area shape="poly" title=" " alt="" coords="960,31,824,35,638,46,427,66,319,80,215,99,201,102,200,97,213,93,319,75,426,61,638,40,823,30,960,26"/>
<area shape="rect" title=" " alt="" coords="5,187,71,213"/>
<area shape="poly" title=" " alt="" coords="960,32,751,37,480,49,232,69,144,83,114,90,95,98,78,113,65,133,47,173,42,171,60,130,74,110,93,94,113,85,143,77,232,64,479,44,751,32,960,27"/>
<area shape="rect" title=" " alt="" coords="229,187,298,213"/>
<area shape="poly" title=" " alt="" coords="960,32,783,36,561,47,455,56,363,67,295,81,273,89,260,98,251,114,248,133,255,171,250,172,243,133,246,112,256,94,270,84,294,76,362,62,454,50,560,42,783,31,960,26"/>
<area shape="rect" title=" " alt="" coords="270,104,342,131"/>
<area shape="poly" title=" " alt="" coords="960,31,845,35,694,46,525,66,439,80,356,99,348,101,347,96,355,93,438,75,524,60,694,40,845,30,960,26"/>
<area shape="rect" title=" " alt="" coords="367,104,485,131"/>
<area shape="poly" title=" " alt="" coords="960,36,753,58,625,76,497,99,482,102,480,97,496,93,624,71,752,53,960,31"/>
<area shape="rect" title=" " alt="" coords="509,104,655,131"/>
<area shape="poly" title=" " alt="" coords="960,42,668,99,649,103,648,97,667,93,959,37"/>
<area shape="rect" title=" " alt="" coords="680,104,828,131"/>
<area shape="poly" title=" " alt="" coords="962,51,808,101,806,96,960,46"/>
<area shape="rect" title=" " alt="" coords="852,104,1019,131"/>
<area shape="poly" title=" " alt="" coords="1006,50,961,95,957,91,1002,47"/>
<area shape="rect" title=" " alt="" coords="1042,104,1189,131"/>
<area shape="poly" title=" " alt="" coords="1048,46,1093,91,1090,95,1044,50"/>
<area shape="rect" title=" " alt="" coords="1213,104,1351,131"/>
<area shape="poly" title=" " alt="" coords="1086,46,1232,96,1230,101,1084,51"/>
<area shape="rect" title=" " alt="" coords="1376,104,1487,131"/>
<area shape="poly" title=" " alt="" coords="1090,37,1217,61,1364,93,1377,97,1375,102,1363,99,1216,66,1089,42"/>
<area shape="rect" title=" " alt="" coords="1511,104,1632,131"/>
<area shape="poly" title=" " alt="" coords="1090,32,1275,55,1387,72,1500,93,1515,97,1514,102,1499,99,1386,78,1274,60,1089,37"/>
<area shape="rect" title=" " alt="" coords="1655,104,1800,131"/>
<area shape="poly" title=" " alt="" coords="1089,30,1334,52,1488,70,1644,93,1664,97,1663,103,1643,99,1488,75,1333,57,1089,35"/>
<area shape="rect" title=" " alt="" coords="1824,104,1951,131"/>
<area shape="poly" title=" " alt="" coords="1090,27,1222,33,1402,45,1606,64,1812,93,1831,97,1830,102,1811,99,1605,70,1401,50,1222,38,1089,33"/>
<area shape="rect" title=" " alt="" coords="1975,104,2160,131"/>
<area shape="poly" title=" " alt="" coords="1089,27,1461,46,1711,66,1964,93,1994,98,1993,103,1963,99,1710,71,1461,52,1089,33"/>
<area shape="rect" title=" " alt="" coords="2184,96,2377,139"/>
<area shape="poly" title=" " alt="" coords="1089,26,1272,31,1537,42,1848,62,2169,93,2168,98,1848,67,1537,48,1272,36,1089,32"/>
<area shape="rect" title=" " alt="" coords="95,187,205,213"/>
<area shape="poly" title=" " alt="" coords="153,131,153,171,147,171,147,131"/>
<area shape="poly" title=" " alt="" coords="134,133,69,180,66,176,131,129"/>
<area shape="poly" title=" " alt="" coords="169,129,235,176,232,180,166,133"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="graphs_8h__dep__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2graphs_8hdep" alt=""/></div>
<map name="aalat_za_analitiku_2src_2graphs_8hdep" id="aalat_za_analitiku_2src_2graphs_8hdep">
<area shape="rect" title=" " alt="" coords="259,5,387,48"/>
<area shape="rect" href="dynamicui_8cpp.html" title=" " alt="" coords="5,96,134,139"/>
<area shape="poly" title=" " alt="" coords="250,56,130,98,128,93,248,51"/>
<area shape="rect" href="graphs_8cpp.html" title=" " alt="" coords="157,96,286,139"/>
<area shape="poly" title=" " alt="" coords="290,60,247,97,243,93,286,56"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="309,187,438,229"/>
<area shape="poly" title=" " alt="" coords="332,63,351,138,368,185,363,187,346,139,327,64"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="360,96,488,139"/>
<area shape="poly" title=" " alt="" coords="359,56,402,93,399,97,356,60"/>
<area shape="rect" href="plotwindow_8cpp.html" title=" " alt="" coords="512,96,640,139"/>
<area shape="poly" title=" " alt="" coords="397,51,518,93,516,98,396,56"/>
<area shape="poly" title=" " alt="" coords="407,154,387,188,383,185,402,151"/>
</map>
</div>
</div>
<p><a href="graphs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_graphs.html">Graphs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
